Identify and coordinate deployment of initial deployment of Template Styles with select non-content Wikis
Closed, ResolvedPublic

Description

Background

Creating this task based on the discussion of the parent. We should figure out which WIki's are good candidates and start conversations for getting the extension deployed.

Some suggestions from @Tgr:

If we want to speed things up (e.g. start testing sooner), we can probably deploy to some or all of the non-community wikis (testwiki, foundationwiki, wikitech, mediawikiwiki) without waiting for the blockers.

And @Johan had some suggestions on where to announce:

wikitech-l rather than wikitech-ambassadors-l, I'd say, they're more of the target audience for mediawiki.org and Wikitech. Possibly a mention in Tech News, to tell people there's a place we're testing this, and because people like to be able to keep tabs on future development of something before it hits their wiki.

Success criteria
Work with local communities to enable TemplateStyles on non-content project wikis. Let the community know how the feature works, reference documentation, and let folks know where to get help.

List of wikis to include (probably incomplete, please help clarify):

  • Test wiki (test.wikipedia.org)
  • Wikitech (wikitech.wikimedia.org)
  • MediaWiki.org

[] Meta wiki
[] Wikimedia Foundation wiki

Timeline
Q2 (Oct-Dec 2017)

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2017, 6:32 PM
Tgr added a comment.Jul 17 2017, 6:59 PM

That's about two content wikis, this one I think is about non-content wikis where there is less worry about abuse/misguided use. It would be useful for being able to test in production + demoing on mw.org.

As the Community-Relations-Support tag was added, please explain what is requested from that team.
See https://meta.wikimedia.org/wiki/Community_Liaisons#Contacting_us for required information - thanks!

Fjalapeno renamed this task from Identify and coordinate deployment of initial deployment of Template Styles with select Wikis to Identify and coordinate deployment of initial deployment of Template Styles with select non-content Wikis.Jul 17 2017, 8:14 PM

@Johan do you need anymore info for this task? You have already been pretty involved so I think you have what you need.
(following up from @Aklapper's comment)

I think we're good. (:

Tgr added a subscriber: bd808.

I'll try to deploy tomorrow.
Target wikis will be:

  • testwiki (obviously)
  • mediawiki.org (for adding some demos to the extension documentation)
  • wikitech (@bd808 is interested in using it for cleaning up some CSS)

(Foundationwiki could be added later if somebody has a plan for using TemplateStyles there.)

Notifications: wikitech-l, Tech News.

Change 365879 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Deploy TemplateStyles to some non-content productions wikis

https://gerrit.wikimedia.org/r/365879

OK, I'll add it to Tech News (distributed on Monday).

Tgr added a comment.Jul 18 2017, 12:54 AM

Thanks @Johan! I sent notification to wikitech-l.

Change 365879 merged by jenkins-bot:
[operations/mediawiki-config@master] Deploy TemplateStyles to some non-content productions wikis

https://gerrit.wikimedia.org/r/365879

Mentioned in SAL (#wikimedia-operations) [2017-07-18T14:58:10Z] <tgr@tin> Started scap: T170863 deploy TemplateStyles to some non-content wikis (first step: testwiki/labstestwiki only)

Mentioned in SAL (#wikimedia-operations) [2017-07-18T15:26:46Z] <tgr@tin> Started scap: T170863 deploy TemplateStyles to some non-content wikis (first step: testwiki/labstestwiki only) (forcing; canary errors are unrelated)

Mentioned in SAL (#wikimedia-operations) [2017-07-18T15:37:06Z] <tgr@tin> Finished scap: T170863 deploy TemplateStyles to some non-content wikis (first step: testwiki/labstestwiki only) (forcing; canary errors are unrelated) (duration: 10m 19s)

Mentioned in SAL (#wikimedia-operations) [2017-07-18T15:45:33Z] <tgr@tin> Synchronized wmf-config/InitialiseSettings.php: T170863 deploy TemplateStyles to some non-content wikis (all target wikis) (duration: 00m 45s)

Tgr added a comment.Jul 18 2017, 4:20 PM

Deployed to testwiki, wikitech, mediawiki.org. (Test wikitech is pending a bugfix.)

Harej added a subscriber: Harej.Jul 20 2017, 6:44 PM

I personally would be interested in seeing this on Meta, and have posted on Meta:Babel accordingly: https://meta.wikimedia.org/w/index.php?title=Meta:Babel&oldid=17018589#TemplateStyles_extension

I am not against Meta.

Keegan added a subscriber: Keegan.Jul 20 2017, 7:58 PM

I personally would be interested in seeing this on Meta, and have posted on Meta:Babel accordingly: https://meta.wikimedia.org/w/index.php?title=Meta:Babel&oldid=17018589#TemplateStyles_extension

Thank you for taking this initiative, it's a good idea.

He7d3r added a subscriber: He7d3r.Jul 29 2017, 10:40 AM
Anomie moved this task from Up next to Non-code on the TemplateStyles board.Sep 19 2017, 10:26 PM

If I'm not mistaken the only remaining non-content wikis are Meta and the Wikimedia Foundation wiki. Is that correct?

CKoerner_WMF updated the task description. (Show Details)Nov 1 2017, 3:55 PM
Elitre added a subscriber: Elitre.Dec 6 2017, 12:33 PM

If you're working on this then it probably doesn't belong to the backlog anymore :)

CKoerner_WMF raised the priority of this task from Normal to High.
CKoerner_WMF lowered the priority of this task from High to Normal.Dec 22 2017, 6:29 PM

TemplateStyles is now deployed to MediaWiki.org and Swedish Wikipedia. The only comment on Meta in July of last year was the desire to see it on a few more wikis. Since that has happened, is there any objection to deploying to Meta and WMF wiki?

Tgr added a comment.Feb 26 2018, 8:07 PM

Note that T188143 should probably be considered a blocker (although it looks like it's fixed already).

^^ @MelodyKramer have a thought on wikimediafoundation.org and supporting TemplateStyles?

Thanks for looping me in. That's a better question for @Varnent (not sure if he has an WMF account but am linking the one I found.)

TemplateStyles is now deployed to MediaWiki.org and Swedish Wikipedia. The only comment on Meta in July of last year was the desire to see it on a few more wikis. Since that has happened, is there any objection to deploying to Meta and WMF wiki?

I don't think WMF wiki will be a MediaWiki wiki for long, but even if I'm wrong, it's not like it really has an active pool of users. Maybe think of a different one? There are so many technical/dev oriented wikis, if you don't want to touch the main projects just yet.

Good Point @Elitre, so that leaves, uh, Meta then?

The new Wikimedia Foundation website will not be MediaWiki based. However, the current Foundation Wiki will remain at a different URL with a revised purpose. That said, because of its state of flux over the coming months, it is probably not an ideal candidate for much of anything until everything settles - hopefully soon after June.

Per @Deskana, we are removing Meta wiki and Wikimedia Foundation wiki from scope of this task. and resolving it. Thanks!

ggellerman updated the task description. (Show Details)Mar 6 2018, 6:43 PM
ggellerman moved this task from Non-code to Done on the TemplateStyles board.
ggellerman closed this task as Resolved.